#Stages {
    background: #e9e9e9;
    bottom: 0;
    display: grid;
    grid-auto-columns: max-content;
    grid-auto-flow: column;
    height: 100%;
    justify-content: center;
    left: 7.5rem;
    overflow-x: auto;
    padding: 5rem 1rem;
    position: fixed;
    right: 7.5rem;
    top: 0;
}

#Stages button {
    padding: 1.5rem;
}

.Stage {
    background: #fff;
    color: #2e2e2e;
    display: grid;
    grid-auto-rows: min-content;
    padding: 0 0.5rem;
    position: relative;
    width: 15rem;
}

.StageList {
    background: #fff;
    display: grid;
    grid-auto-columns: max-content;
    grid-auto-flow: column;
}

.Stage.Active {
    background: lightgoldenrodyellow;
}

.Stage button {
    opacity: 0;
    z-index: 2;
}

.Stage button:last-of-type {
    margin-top: 1rem;
}


.Stage:hover button {
    opacity: 1;
}

.Stage .DropLeft,
.Stage .DropRight {
    bottom: 0;
    cursor: move;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
}

.Stage .DropLeft {
    right: 50%;
}

.Stage .DropRight {
    left: 50%;
}

.StageDropZone {;
    transition: width 100ms;
    width: 0;
}

.StageDropZone.Active {
    background: #2e2e2e !important;
    width: 6rem !important;
}

div.StageDropZone:first-of-type,
div.StageDropZone:last-of-type {
    width: 0.5rem;
}
